@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}


/* *{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #ffffff;
} */
#logo{
    border-radius: 50%;
    width: 5%;
    margin-right: 10PX;
    border: 2px solid red;
}
nav{
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}
ul > li > a{
    margin-right: 60px;
}
body{
    margin: auto;
}

.main-container{
    display: grid;
    grid-template-columns: 25% 75%;
    gap: 15px;
    width: 90%;
    /* border: 1px solid ; */
    margin: auto;
   
}
#loginregister{
    cursor: pointer;
  }
.main-container .left div div{
    position: -webkit-sticky;
    position: sticky;
}
.left > div{
    padding: 50px 20px;
    border-radius: 5px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.left> div > h2{
    font-size: 25px;
}
.checkbox > div > input{
   border: 2px solid yellow;
   margin-left: 50px;
}
.checkbox > div{
    margin-bottom: 10px;
}

.main-head > a{
    text-decoration: none;
}
.main-head h3{
    font-size: 20px;
}
.inner-head{
    margin-bottom: 10px;
   color: black;
   
}
.checkbox > div > label:hover{
    border-bottom: 3px solid black;
    font-weight: bold;
}
.inner-head > i{
    margin-right: 10px;
}
.color-box{
    display: inline-block;
    border-radius: 50%;
    width: 15px;
    height: 15px;
    border: 2px solid black;
    margin-left: 12px;
}
.blue{
    background-color: blue;
}
.black{
    background-color: black;
}
.grey{
    background-color: grey;
}
.maroon{
    background-color: maroon;
}
.pink{
    background-color: pink;
}
.olive{
    background-color: olive;
}
.multi{
    background:linear-gradient(blue,red,yellow,green) ;
}
.main-right{
    justify-content: center;
    text-align: center;
}
.ads{
    text-align: center;
    
    margin: 50px 0;  
}
.right{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 12px;
    /* border: 2px solid red; */
}
.right > div{
    line-height: 24px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    border-radius: 9px;
    width: 100%;
    /* padding-bottom: 20px; */
    padding: 0 3px 20px 3px;
}
.right > div > img{
    width: 100%;
    border-top-right-radius: 9px;
    border-top-left-radius: 9px;
    padding-bottom: 10px;
}
.right > div >p{
    margin-bottom: 5px;
}
.right > div >h4{
    font-size: 18px;
}
.right >div >div > button{
    padding: 4px 6px;
    margin-right: 4px;
    margin-top: 10px;
    border-radius: 6px;
    background-color: rgb(243, 233, 234);
}
.right >div >div > button:hover{
    background-color:rgb(238, 198, 202) ;
}
.filteredDev{
    display: flex;
    justify-content: space-between;
    margin: 20px 0;
    padding: 15px 10px;
    border-radius: 7px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}
.grid{
    display: flex;
}
.pattern1,.pattern2{
    /* background-color: green; */
    display: flex;
}

.pattern{
    height: 20px;
    width: 6px;
    background-color: grey;
   margin-right: 5px;
}

.headdiv{
    /* border: 2px solid red; */
    height: 10%;
    
}
.headtitle{
    /* border: 2px solid red; */
    height: 10%;
}
.right >div > div > div{
    text-align: center;
}
.offerdiv{
    display: flex;
    justify-content:center;
}
.offerdiv :nth-child(2){
    text-decoration: line-through;
    color: rgb(160, 132, 136);
}
.offerdiv :nth-child(1){
    margin-right: 10px;
}

.right > div> h4, .right >div > p{
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden; 
}

/* Filter Section  */

#filter{
    padding: 5px 10px;
    border-radius: 4px;

}

@media screen and (min-width: 800px) and (max-width:1060px) {
    .right{
     display: grid;
     grid-template-columns: repeat(3,1fr);
    }
 }
 @media screen and (min-width : 351px)  and (max-width:799px) {
    .right{
     display: grid;
     grid-template-columns: repeat(2,1fr);
    }
    .grid{
     display: none;
    }
 }
 @media screen and (max-width:350px) {
    .right{
     display: grid;
     grid-template-columns: repeat(1,1fr);
    }
    .grid{
     display: none;
    }

}


/* new file */



@media all and (min-width: 750px) and (max-width: 2024px ) {
    .desktop-none{
        display: none;
      }
   }
   /*Mobile screen*/
@media all and (min-width: 100px) and (max-width: 450px) {
   
    .circle-image-grid{
      grid-template-columns: repeat(1,1fr);
      overflow: hidden
    }
    .images-148{
        grid-template-columns: repeat(1,1fr);
    }
    .display-none-small{
        display: none;
    }

    #three-images{
        grid-template-columns: repeat(1,1fr);
        overflow: hidden
    }
    
    .slider-1{
        display: none;
    }
    .slider-2{
        display: none;
    }
    #h{
        overflow: hidden
    }
  } 

  /* Medium screens */
 @media all and (min-width: 451px) and (max-width: 750px) {
    .circle-image-grid{
        grid-template-columns: repeat(2,1fr);
        overflow: hidden
      }
      .images-148{
        grid-template-columns: repeat(2,1fr);
    }
    .display-none{
        display: none;
    }
    .display-none-medium{
        display: none;
    }
    #three-images{
        grid-template-columns: repeat(2,1fr);
        overflow: hidden
    }

    .desktop-none{
        display: none;
      }
      #h{
        overflow: hidden
  
    }
}
.logo-mob{
    display: none;
}

/* -------------------css for responsive navbar---------------- */

header{
    margin-bottom: 30px;
    
}
.mobile-nav-btn{
    display: none;
    background-color: transparent;
    cursor: pointer;
}
.mobile-nav-icon{
    width: 40px;
    height: 40px;
    color: #212529;
}
.mobile-nav-icon[name="close-outline"]{
    display: none;
}


/* footer section  */
.footer{
    background-color: whitesmoke;
    padding: 30px 50px;
    margin-top: 30px;
  }
  .footer > .top-part{
  display: grid;
  grid-template-columns: repeat(4,1fr);
  gap: 15px;
  }
  .top-part >div> h2 , .top-part >div> p {
  color: black;
  margin-bottom: 10px;
  text-underline-position: inherit;
  font-size: 15px;
  }
  .top-part > div > button{
  padding: 10px 20px;
  border: 1px solid black;
  background-color: rgb(0, 0, 0);
  color: rgb(237, 233, 233);
  margin-top: 20px;
  }
  .top-part > div > button:hover{
  border-bottom: 3px solid black;
  }
  .footer > .bottom-part{
  display: grid;
  grid-template-columns: repeat(4,1fr);
  gap: 15px;
  }
  .footer > .bottom-part >div{
  margin-top: 20px;
  }
  .footer > .bottom-part > div > h3{
  color: black;
  margin: 20px 0px;
  margin-bottom: 35px;
  font-size: 20px;
  }
  .footer > .bottom-part > div > a{
  display:block;
  margin-bottom: 14px;
  color: black;
  text-decoration: none;
  }
  .footer > .bottom-part > div > a:hover{
    border-bottom-style: solid;
    width: fit-content;
  }
  .social-media > h3 , .payment > h3{
  color: black;
  margin-top: 20px;
  margin-bottom: 35px;
  font-size: 20px;
  }
  .social-media >a> i{
  background-color:whitesmoke;
  color: black;
  font-size: 30px;
  padding-bottom: 5px;
  margin-right: 20px;
  margin-bottom: 20px;
  }
  .social-media >a> i:hover{
  border-bottom: 4px solid;
  }
  .payment > img{
  width: 40px;
  margin-right: 5px;
  margin-bottom: 10px;
  cursor: pointer;
  }
  .android-mac{
  width: 40%;
  margin-top: 20px;
  }
  .android-mac >img:hover{
  border-bottom: 4px solid gray;
  
  }
  .android-mac > img{
  margin-bottom: 10px;
  cursor: pointer;
  }
  .last-logo{
  width: 50px;
  
  }
  .last-logo >img{
  width: 80px;
  border-radius: 50%;
  border: 2px solid black;
  }
  .padd{
  padding-bottom: 15px;
  border-bottom: 4px solid red;
  font-size: 20px;
  }
  .padd > a > i{
    color: black;
}
  
  .btn1{
    padding: 5px 10px;
    border-radius: 6px;
  }
  .inp{
    background-color: whitesmoke;
    color: black;
  }
  
  .nav-link:hover{
    border-bottom: 2px solid;
    width: fit-content;
  }



/* nav cart and wishllist icon  */
.search{
    background-color: #fff;
}
.search-icon{
    display: flex;
    align-items: center;
}
.search > input{
    font-size: 10px;
    padding: 5px 10px;
    /* border-radius: 16px; */
    border: none;
   
}


.icon{
    /* background-color:black; */
    color: black;
    margin-left: 10px;
    /* border: 2px solid; */
}
.icon >a> i{
    margin: 5px;
    font-size: 17px;
    padding-bottom: 6px;
    text-decoration: none;
    /* color: whitesmoke; */
    color: black;
}
.icon >a> i:hover{
    color:maroon;
    border-bottom: 5px solid white;
}